
config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

CONF_FILES=$()
while IFS= read -r -d ''; do
  CONF_FILES+=( "$REPLY" )
done < <(find -L etc/sv -type f -name conf.new -print0)

for conf_file in "${CONF_FILES[@]}"; do
  if [ "$conf_file" != '' ]; then
    config "${conf_file}"
  fi
done

( cd etc/sv/acpid/log ; rm -rf run )
( cd etc/sv/acpid/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/agetty-tty1 ; rm -rf finish )
( cd etc/sv/agetty-tty1 ; ln -sf /etc/sv/agetty-generic/finish finish )
( cd etc/sv/agetty-tty1 ; rm -rf run )
( cd etc/sv/agetty-tty1 ; ln -sf /etc/sv/agetty-generic/run run )
( cd etc/sv/agetty-tty2 ; rm -rf finish )
( cd etc/sv/agetty-tty2 ; ln -sf /etc/sv/agetty-generic/finish finish )
( cd etc/sv/agetty-tty2 ; rm -rf run )
( cd etc/sv/agetty-tty2 ; ln -sf /etc/sv/agetty-generic/run run )
( cd etc/sv/agetty-tty3 ; rm -rf finish )
( cd etc/sv/agetty-tty3 ; ln -sf /etc/sv/agetty-generic/finish finish )
( cd etc/sv/agetty-tty3 ; rm -rf run )
( cd etc/sv/agetty-tty3 ; ln -sf /etc/sv/agetty-generic/run run )
( cd etc/sv/agetty-tty4 ; rm -rf finish )
( cd etc/sv/agetty-tty4 ; ln -sf /etc/sv/agetty-generic/finish finish )
( cd etc/sv/agetty-tty4 ; rm -rf run )
( cd etc/sv/agetty-tty4 ; ln -sf /etc/sv/agetty-generic/run run )
( cd etc/sv/agetty-tty5 ; rm -rf finish )
( cd etc/sv/agetty-tty5 ; ln -sf /etc/sv/agetty-generic/finish finish )
( cd etc/sv/agetty-tty5 ; rm -rf run )
( cd etc/sv/agetty-tty5 ; ln -sf /etc/sv/agetty-generic/run run )
( cd etc/sv/agetty-tty6 ; rm -rf finish )
( cd etc/sv/agetty-tty6 ; ln -sf /etc/sv/agetty-generic/finish finish )
( cd etc/sv/agetty-tty6 ; rm -rf run )
( cd etc/sv/agetty-tty6 ; ln -sf /etc/sv/agetty-generic/run run )
( cd etc/sv/agetty-ttyS0 ; rm -rf finish )
( cd etc/sv/agetty-ttyS0 ; ln -sf /etc/sv/agetty-generic/finish finish )
( cd etc/sv/anacron/log ; rm -rf run )
( cd etc/sv/anacron/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/apache2/log ; rm -rf run )
( cd etc/sv/apache2/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/apache2 ; rm -rf run )
( cd etc/sv/apache2 ; ln -sf ../httpd/run run )
( cd etc/sv/atd/log ; rm -rf run )
( cd etc/sv/atd/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/avahi-daemon/log ; rm -rf run )
( cd etc/sv/avahi-daemon/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/bind ; rm -rf conf.new )
( cd etc/sv/bind ; ln -sf ../named/conf conf.new )
( cd etc/sv/bind ; rm -rf run )
( cd etc/sv/bind ; ln -sf ../named/run run )
( cd etc/sv/bluetoothd/log ; rm -rf run )
( cd etc/sv/bluetoothd/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/bumblebeed/log ; rm -rf rsvlog )
( cd etc/sv/bumblebeed/log ; ln -sf /usr/bin/rsvlog rsvlog )
( cd etc/sv/cgmanager/log ; rm -rf run )
( cd etc/sv/cgmanager/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/cgproxy/log ; rm -rf run )
( cd etc/sv/cgproxy/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/chronyd/log ; rm -rf run )
( cd etc/sv/chronyd/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/connmand/log ; rm -rf run )
( cd etc/sv/connmand/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/consolekit/log ; rm -rf run )
( cd etc/sv/consolekit/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/couchdb/log ; rm -rf run )
( cd etc/sv/couchdb/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/cron ; rm -rf run )
( cd etc/sv/cron ; ln -sf ../vixie-cron/run run )
( cd etc/sv/crond/log ; rm -rf run )
( cd etc/sv/crond/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/cupsd/log ; rm -rf run )
( cd etc/sv/cupsd/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/dbus/log ; rm -rf run )
( cd etc/sv/dbus/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/dcron/log ; rm -rf run )
( cd etc/sv/dcron/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/ddclient/log ; rm -rf run )
( cd etc/sv/ddclient/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/dhcpcd/log ; rm -rf run )
( cd etc/sv/dhcpcd/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/dkms/log ; rm -rf run )
( cd etc/sv/dkms/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/exim/log ; rm -rf run )
( cd etc/sv/exim/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/fail2ban-server/log ; rm -rf run )
( cd etc/sv/fail2ban-server/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/fgetty-tty2 ; rm -rf finish )
( cd etc/sv/fgetty-tty2 ; ln -sf /etc/sv/fgetty-generic/finish finish )
( cd etc/sv/fgetty-tty2 ; rm -rf run )
( cd etc/sv/fgetty-tty2 ; ln -sf /etc/sv/fgetty-generic/run run )
( cd etc/sv/fgetty-tty3 ; rm -rf finish )
( cd etc/sv/fgetty-tty3 ; ln -sf /etc/sv/fgetty-generic/finish finish )
( cd etc/sv/fgetty-tty3 ; rm -rf run )
( cd etc/sv/fgetty-tty3 ; ln -sf /etc/sv/fgetty-generic/run run )
( cd etc/sv/freeswitch/log ; rm -rf run )
( cd etc/sv/freeswitch/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/gpm/log ; rm -rf run )
( cd etc/sv/gpm/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/gssd/log ; rm -rf run )
( cd etc/sv/gssd/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/haveged/log ; rm -rf run )
( cd etc/sv/haveged/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/httpd/log ; rm -rf run )
( cd etc/sv/httpd/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/idmapd/log ; rm -rf run )
( cd etc/sv/idmapd/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/lighttpd/log ; rm -rf run )
( cd etc/sv/lighttpd/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/lighttpd2/log ; rm -rf run )
( cd etc/sv/lighttpd2/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/local/log ; rm -rf run )
( cd etc/sv/local/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/memcached/log ; rm -rf run )
( cd etc/sv/memcached/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/mongodb/log ; rm -rf run )
( cd etc/sv/mongodb/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/monit/log ; rm -rf run )
( cd etc/sv/monit/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/mysqld/log ; rm -rf run )
( cd etc/sv/mysqld/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/nfs-server/log ; rm -rf run )
( cd etc/sv/nfs-server/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/nginx/log ; rm -rf run )
( cd etc/sv/nginx/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/nmbd/log ; rm -rf run )
( cd etc/sv/nmbd/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/ntpd/log ; rm -rf run )
( cd etc/sv/ntpd/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/openntpd/log ; rm -rf run )
( cd etc/sv/openntpd/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/openvpn/log ; rm -rf run )
( cd etc/sv/openvpn/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/php-fpm/log ; rm -rf run )
( cd etc/sv/php-fpm/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/postfix/log ; rm -rf run )
( cd etc/sv/postfix/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/postgresql/log ; rm -rf run )
( cd etc/sv/postgresql/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/rc-firewall/log ; rm -rf run )
( cd etc/sv/rc-firewall/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/redis/log ; rm -rf run )
( cd etc/sv/redis/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/rpcbind/log ; rm -rf run )
( cd etc/sv/rpcbind/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/rsyslogd/log ; rm -rf run )
( cd etc/sv/rsyslogd/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/smbd/log ; rm -rf run )
( cd etc/sv/smbd/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/sshd/log ; rm -rf run )
( cd etc/sv/sshd/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/statd/log ; rm -rf run )
( cd etc/sv/statd/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/syslog-ng/log ; rm -rf run )
( cd etc/sv/syslog-ng/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/tlp/log ; rm -rf run )
( cd etc/sv/tlp/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/transmission-daemon/log ; rm -rf run )
( cd etc/sv/transmission-daemon/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/vnstatd/log ; rm -rf run )
( cd etc/sv/vnstatd/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/wpa-eth0/log ; rm -rf run )
( cd etc/sv/wpa-eth0/log ; ln -sf /usr/bin/rsvlog run )
( cd etc/sv/xinetd/log ; rm -rf run )
( cd etc/sv/xinetd/log ; ln -sf /usr/bin/rsvlog run )
